Index: trunk/DataCheck/Setup/setup.fact.wue
===================================================================
--- trunk/DataCheck/Setup/setup.fact.wue	(revision 13399)
+++ trunk/DataCheck/Setup/setup.fact.wue	(revision 13399)
@@ -0,0 +1,95 @@
+#!/bin/bash
+#
+# This a resource file for the scripts, in which paths, variables 
+# and setups are defined
+#
+# This setup file is for the machines on the FACT cluster at ISDC
+#
+
+# setup to use ftools
+export HEADAS=/opt/heasoft-6.12/x86_64-unknown-linux-gnu
+export HEADASPROMPT=/dev/null
+
+# setup to use ROOT
+rootsys=/opt/root_v5.32.02
+if ! export | grep ROOTSYS | grep $rootsys  >|/dev/null
+then
+   export ROOTSYS=$rootsys
+   export PATH=$PATH:$ROOTSYS/bin
+   export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ROOTSYS/lib
+fi
+
+# software versions
+export factpath=/opt/FACT++
+export mars=~/FACT.processing/Mars.von.Thomas.2012.03.07
+
+# site
+processingsite=isdc
+sitekey=4 
+storagesite=isdc
+
+# queuing system
+queuesys=sge
+sgepath=/usr/bin
+
+# logging and setup
+logpath=/fact_tmp/datacenter/autologs
+lockpath=fact_tmp/datacenter/locks
+
+# data paths 
+datapath=/fact_tmp/data
+seqpath=/fact_tmp/sequences
+auxdata=/fact_tmp/aux
+rawdata=/fact_tmp/raw
+rawdata_for_sed=$(printf "%s\n" "$rawdata" | sed 's/[][\.*^$(){}?+|/]/\\&/g')
+
+## paths and setup for mc
+mcpath=/magic/simulated
+mcsequpath=$mcpath/sequences
+corsikapath=/opt/MagicSoft/Simulation/Corsika/Mmcs6500
+export FLUPRO=$corsikapath'/fluka2011_2'
+
+# get paths for mars, macros and scripts
+#   in case the variable is not yet set
+if [ "$mars" == "" ]
+then 
+  mars=`dirname $0 | sed -e 's/\/datacenter\/scripts//'`
+fi
+macrospath=$mars/datacenter/macros
+scriptspath=`dirname $0`
+
+# rcfiles
+# dependencies of steps
+steps=$scriptspath/../Setup/steps_fact_isdc.rc
+# file with db information
+sqlrc=$mars/sqlmc.rc
+
+
+#addresses to which the errors are sent
+erradrs="daniela.dorner@unige.ch" 
+#addresses to which the changes are sent
+adrs="daniela.dorner@unige.ch" 
+
+
+#
+#setup for jobmanager
+#
+sleeptime=150 #600 #30
+sleeptimelimit=360 #360
+errorsleeptimedefault=60 #60
+
+algorithm=2
+
+#hour:            0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
+pnototal=(       32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+pnototalwe=(     32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+
+# set variables for jobmanager 
+scripts=( "RunCeres.sh" "RunMCCallisto.sh" "RunMCStar.sh" ) 
+scriptscolname=( "Ceres" "Callisto" "Star" ) 
+ratio=( 0.6 0.2 0.2 )
+maxjobs=( 10 10 10 )
+
+
+# further wishlist: adapt ratio automatically
+
Index: trunk/DataCheck/Setup/steps_fact_wue.rc
===================================================================
--- trunk/DataCheck/Setup/steps_fact_wue.rc	(revision 13399)
+++ trunk/DataCheck/Setup/steps_fact_wue.rc	(revision 13399)
@@ -0,0 +1,20 @@
+
+Corsika.MainTable: Ceres
+Corsika.Primaries: fRunNumber, fFileNumber
+
+Ceres.MainTable: Ceres
+Ceres.Primaries: fRunNumber, fCeresSetupKEY
+Ceres.Needs: Corsika 
+Ceres.SpecialJoin: LEFT JOIN CeresInfo USING(fRunNumber, fCeresSetupKEY)
+
+SequenceFile.MainTable: Ceres
+SequenceFile.Primaries: fSequenceNumber
+
+Callisto.MainTable: Ceres
+Callisto.Primaries: fSequenceNumber, fCeresSetupKEY
+Callisto.Needs: SequenceFile Ceres Corsika 
+
+Star.MainTable: Ceres
+Star.Primaries: fSequenceNumber, fCeresSetupKEY
+Star.Needs: Callisto SequenceFile Ceres Corsika 
+
